LostIRC - (x.x.x)
  * Fix a crash which appeared on a slow connection when you closed a
    channel tab right after joining it.

LostIRC - (0.4.6) - Tue Jun, 7th 2005
  * Fix a critical bug with many important keybindings not working at all.
  * Fix build failure with pkg-config 0.17 or later.

LostIRC - (0.4.5) - Sat May, 14th 2005
  * Fix a ressource leak, might improve the footprint over time.
  * Changes keybinding for switching tabs (CTRL-[0-9]) to use ALT instead,
    since this seems to be standard in other applications now.
  * Make sure /QUERY can't start a query with a nick with a space in it.
  * The lostirc.desktop file is now only placed in the standard location
    ${prefix}/share/applications. --enable-gnome and --enable-kde has been
    removed in favor of --enable-desktopfile (on by default).

LostIRC - (0.4.4) - Fri Feb, 4th 2005
  * Fix build failure on amd64 with gcc-4.0 (thanks, Andeas Jochens)
  * Correct already used access key for menubar in French translation.
    (thanks, Martin Calignon)
  * Add French LostIRC description to .desktop file. (thanks, Martin
    Calignon)
  * /PART does no longer work in queries. Before it tried to part a channel
    with the user name.
  * Can now login to the server when the full name in /etc/passwd contains
    non-ASCII characters.

LostIRC - (0.4.3) - Fri Oct, 15th 2004
  * It is now possible to show/hide the Menubar by using the context menu on
    the main chat window.
  * Some messages sent by the IRC-server on connect was being stripped so
    the full message wasn't being outputted. Fixed.
  * If a server supplies a network name, show that in the status bar instead
    of the hostname of the connected server.
  * Fixed a bug where auto-connecting to multiple servers would have only
    text outputted to the first tab.
  * Fixed segmentation fault where both a mode for a channel and mode for a
    user was being set in the same MODE command. Thanks to Christian
    Jørgensen for testing.
  * Fixed segmentation fault which occured when only one empty line existed
    in automatic perform for a server. Thanks Martin Calignon for reporting.
  * The client now more intelligently checks what a server supports of
    user prefixes, channel prefixes and channel modes.

LostIRC - (0.4.2) - Wed Sep, 8th 2004
  * On start up without connecting to any servers automatically, open the
    server window.
  * The chosen colorscheme is now correctly remembered in the server window.
  * When using CTRL-PageUp and CTRL-PageDown to browse through tabs,
    unexpected scrolling will no longer appear.
  * +q (quiet on freenode) modes set on a channel was not being displayed.
    Fixed.
  * More keybindings are now listed in /KEYBINDINGS.
  * Updated Danish translation.

LostIRC - (0.4.1) - Mon Aug, 2nd 2004
  * Support for colorschemes added.
  * On startup, focus is set to the input entry as it should be.
  * The window no longer grows very big when too many matches has been found
    on tab-completion.
  * French translation added (thanks, Bruno Dusausoy)

LostIRC - (0.4.0) - Sun Jun, 6th 2004
  * Ported to gtkmm 2.4.
  * IRC messages that are larger than the window now wraps characters and
    words better.
  * Improved font selection in preferences.
  * Tabs are now sorted by server, instead of randomly placed.

LostIRC - (0.3.3) - Tue Mar, 23rd 2004
  * It is now possible to hide the statusbar in the same way as you can hide
    the menubar and the user list.
  * You can now send files that contain spaces.
  * The password field for IRC servers are now masked by asterixs.
  * Some minor tweaks to the DCC window.
  * Fix very rare segmentation fault in perform.conf
  * A FreeBSD compilation fix.

LostIRC - (0.3.2) - Mon Feb, 2nd 2004
  * The chosen encoding in preferences wasn't being saved properly. Fixed.
  * Fix crash which occured with some MODE-lines.
  * CTRL-PageUp/PageDown can now be used to browse tabs.
  * Lots of code contributed by Thomas Johansson to make the Windows port a
    step closer.
  * Channel-autocompletion added (by typing #<tab-key>). (thanks, Thomas
    Johansson).
  * The DCC transfer window has been improved.

LostIRC - (0.3.1) - Fri Dec, 26th 2003
  * Added a very simplish About-dialog.
  * The menubar was accidently not shown by default, not it is.
  * The "Introduction" window now closes when clicking "Close" as it should.
  * Some user interface cleanups.
  * Fixed a problem where some systems would fail compilation because of a
    missing mkinstalldirs file.

LostIRC (0.3.0) - Fri Nov, 21st 2003
  * The user interface has been totally reworked to conform to the GNOME
    Human Interface Guidelines 1.0 (the HIG). Among many things, this means
    that:
     - Preferences now opens in a dialog window.
     - DCC transfers now opens in a dialog window.
     - The server settings has been moved to its own dialog window.
     - There is an added menubar (easily removeable)
  * Other user interface changes:
    - The nick list can be hidden / unhidden. Just pressing CTRL-L will
      hide/unhide it.
  * The default font for the main window is now "Sans 10".
  * The "limited highlighting" option has been removed.
  * Fix problem with duplicates in the user list.
  * Support for "channel admin" (+a) status modes has been added (thanks, Peter Hille)

LostIRC (0.2.7) - Mon Jun, 9th 2003
  * Now includes a fancy LostIRC icon.
  * Another compiliation fix for FreeBSD 5.0.
  * Compilation fix for gcc 3.3.
  * Fixed segmentation fault when pressing down arrow just after the client
    started.
  * Added /RECONNECT command.

LostIRC (0.2.6) - Mon Apr, 28th 2003
  * A progress field is now located in the list of DCCs (thanks, Michael
    Kristensen)
  * Your previous window position wasn't remembered if you had your window
    located in an x or y value that equaled 0, fixed. (thanks, Michael
    Kristensen)
  * Compilation fixes for FreeBSD 5.0
  * Some changes that help compilation on Win32 (not done yet).

LostIRC (0.2.5) - Thu Jan, 16th 2003
  * When the window was resized, the scrollbar moved unwanted away from the
    bottom of the text box. Fixed (thanks, Jonathan James Taylor)
  * When being away from the client for a long while, and seeing yourself
    being highlighted several places. You can now use CTRL-h to scroll back
    to the previous highlight instead of finding it manually.
  * CTRL-Home and CTRL-End can now be used to scroll to the top and bottom
    in the text box.
  * ALT-Left and ALT-Right can now be used to navigate to the left or right
    tab.
  * When no real name was set, some IRC servers refused the user to connect.
    Now real name is set to the users nick if not specified.
  * When only one user is on a channel, the plural s from "users" is now
    removed (thanks, Michael Kristensen)
  * When a tilde (~) is used in /DCC SEND, it's now expanded to the users
    home directory.
  * DCC sending wasn't functional when sending files with full paths,
    because the path was being sent. Now the path is being stripped before
    sending the filename to the remote user.
  * An IRC encoding can now be selected using preferences. This is useful if
    you use an UTF-8 locale and you want to send text to the server, in say,
    ISO-8859-1.
  * Gettext support added, making LostIRC translate-able to other languages
    than English (see po/ directory).
  * A bug which caused non-UTF8 compatible nicknames to fail has been fixed.
  * Fixed a problem where PowerPC systems would get a "Unknown host" when
    connecting.
  * Fix a problem when using GTK+ 2.2 and focus wasn't given to the entry
    box when clicking on a tab.

LostIRC (0.2.4) - Sun Dec, 29th 2002
  * The "Less bugs and more features for 2003" release.
  * You can now use PAGE UP/PAGE DOWN to scroll up/down in the text widget.
  * Using preferences, you can now enable logging. (thanks, Michael
    Kristensen)
  * /EXIT no longer requires you to be connected.
  * After reconnecting to a server, queries had a parentes around
    them. Fixed.
  * Notices sent to channels are now displayed in the channel instead of in
    the current window.
  * Tabs are now scrollable instead of making the window larger when tabs
    exceed the size of the window.
  * Some locale problems on Red Hat 8 (and most likely others) has been fixed,
    which caused LostIRC to abort on startup.

LostIRC (0.2.3) - Thu Dec, 19th 2002
  * The "Merrry christmas and happy new year" release - see you in 2003!
  * WHOIS output is now formatted much nicer.
  * Color-codes are now handled better. Before the background
    color (e.g. ^C12,5) wasn't being handled and just printed ",5". Now the
    correct background color is used. Bold and underline is now also handled
    correctly.
  * By default, color codes are now stripped from incoming messages. As an
    option in preferences, you can turn them on again.
  * Bold and underline codes are not stripped by default. But you can turn
    them off in preferences.
  * Before, a number in the ident would make the line get colored. Fixed.
    (You need to remove ~/.lostirc/events.conf first).
  * The default colors for messages and events has been changed. You'll need
    to remove ~/.lostirc/events.conf first to get the new ones.
  * Title in window wasn't updated after a succesfull connection to server
    and joining a channel after that, fixed.
  * The auto-connect feature in preferences has been improved GUI-wise. It's
    now also possible to disable/enable automatic connection to the servers.
  * When using a mal-functioning locale, show an error to the screen when
    conversion to the locale fails.
  * There is now a preliminary and experimental DCC status list available with
    CTRL-d.
  * Man-page updated with a better description.

LostIRC (0.2.2) - Sun Dec, 1st 2002
  * Tabs are no longer closed with CTRL-c (which can now be used for
    copying instead). CTRL-w is the new shortcut ("close window(tab)").
  * When using command-tab-completion, several commands seemed to be there twice.
    (E.g. there were two /ME's), fixed.
  * /COMMANDS outputted some commands twice as well, fixed.
  * When queries containing special characters were created with /QUERY, the
    displayed name was wrong and the tab could not close again. Fixed.
  * The nick-list now sorts properly, in the past it wasn't very stable in
    its sorting.
  * The nick-list now uses the current locales sorting when sorting nicks
    instead of the C locale.
  * When starting the client, or connecting to a new server, the nicklist
    appeared always. Now it only appears when actually joining a channel.
  * You can now specify a specific DCC port to use for DCC SEND. (thanks,
    Michael Kristensen)
  * The statusbar is now updated right after connecting to a server, and
    right after changing nick, and not only when switching tabs.
  * Fix a segfault which appeared with bouncers/servers sending malformed
    JOIN lines.
  * When receiving a file by DCC, the client no longer freezes until the
    transfer is complete.
  * When switching tabs, any text in the input box would be selected and you
    had to unselect it before being able to type again. Fixed.
  * Various standard GTK+2 icons are now used in the application to make the
    user interface more clear.
  * Old ChangeLog renamed to NEWS. The NEWS file is now the location of the
    summary of changes between releases while ChangeLog contains the notices
    of the real code changes.

LostIRC (0.2.1) - Fri Nov, 22th 2002
  * The application GUI has changed a little. There is now a statusbar below
    the tabs which tells you different things:
     - nick, servername
     - away status
     - matches for nick completion are here instead of in the main text window
  * There is a now a seperator between the main text window and the nick list
    which can be dragged to make the nick list smaller/bigger.
  * Nick-completion is now smarter. It partially completes the nick if the
    matching nicks has common prefixes.
  * Command-completion has undergone the same changes.
  * When pressing TAB when only a space had been entered, all nicks were
    matched. Fixed.
  * The default keyboard-shortcuts has been changed:
     - ALT-C has been changed to CTRL-C (close tab)
     - ALT-P has been changed to CTRL-P (preferences)
     - ALT-N has been changed to CTRL-N (new server)
     - ALT-Q has been changed to CTLR-Q (quit)
     - ALT-[1-9] has been changed to CTRL-[1-9] (switch tab)

     (This is to follow the 'GNOME Human Interface Guidelines' and the 'KDE
     User Interface Guidelines').

  * When using an UTF-8 locale, LostIRC was practically non-functionaly -
    fixed (thanks, Daniel Elstner)
  * An added --noauto command-line option has been added, this makes LostIRC
    not connect to servers automatically at startup.
  * When users part channels without a part-message, empty parentes are no
    longer displayed. (thanks, Michael Kristensen)
  * Fix a segfault which appeared with bouncers/servers sending malformed PART
    lines (they sent the channel _after_ the colon).
  * The --enable-debug option has been renamed to --enable-logdebug.

LostIRC (0.2.0) - Fri Nov, 1st 2002
  * Ported to gtkmm2, now depends on sigc++ 1.2 and gtkmm2.
    Noteable features with gtkmm2:
      * UTF-8 support
      * Improved fonts, e.g. anti aliased fonts when 'GDK_USE_XFT' is set
        (in bash, try `export GDK_USE_XFT=1`)
      * Cleaner and more attractive default interface
      * Double-buffering in widgets which prevents flickering

  * There is now a limit of 500 lines in the text windows - this can be
    specified using preferences. This makes sure the client doesn't use a huge
    amount of RAM.
  * /CLEAR and /CLEARALL is implemented to clear all text from the current
    window and all windows.
  * The font selection dialog is no longer opened using ALT+F, it is now
    located in preferences and its behaviour has been improved a lot.
  * Preferences has changed looks and is much more easy to use.
  * When joining channels with an extreme amount of users, the nick-list is
    now updated faster.
  * When exiting preferences, focus is now giving to the input box.
  * When going /AWAY, the title bar of the window wasn't updated until you
    switched to a new tab. Fixed.
  * A KDE menu entry (lostirc.desktop) is now installed by default in the same
    way as a GNOME menu entry has always been default. It can be disabled by
    using ./configure --disable-gnome and --disable-kde 
  * There is now an /EXIT command which can be used to send a quit-message to
    all connected servers and quit the client.
  * The nick-list no longer mentions "0 users" when a channel has parted, but
    "Not on channel"
  * There is now an "Limited highlighting" feature which can be used if you
    don't want to mark tabs red on joins/parts etc. but only on talk in a
    channel.
  * Colors used by text-window are no longer hard-coded into the code, they
    are now read from ~/.lostirc/colors.conf and can be changed by hand.
  * The client registered the name with a space in front of it, fixed.
  * When a topic was received for a channel the user was currently not on -
    the client aborted, fixed.
  * Unexpected behaviour when joining channels with different prefixes than #,
    fixed.
  * When using a bouncer and being on multiple channels, channel names like
    '#u~#foo' appeared - the nick-list were never filled on these channels,
    fixed.
  * The position of the window is now remembered.
  * URLs are now underlined.

LostIRC (0.1.4) - Sat Jul 13th 2002
  * A segfault which appeared when the enviroment variable USER wasn't set,
    has been fixed (thanks, Gabriele Giorgetti)
  * gcc 3.1 compilation fix

LostIRC (0.1.3) - Fri Jul 12th 2002
  * New welcome-screen.
  * The size of the window is now saved and restored on next startup.
  * Half-op support added.
  * /OP, /DEOP, /VOICE and /DEVOICE has been implemented.
  * Fix a crash with bouncers sending PRIVMSGs to channels not joined.
    (thanks, |TEcHNO|)
  * /PART, /TOPIC, /KICK, /BANLIST now uses the current channel name
    explicitly instead of letting the user type it implicitly.
  * +a modes and others are now shown as well, they were hidden before.
  * FreeBSD compilation fix (thanks, Juan Salaverria)

LostIRC (0.1.2) - Tue Jun 27th 2002
  * Fix a crash which appeared when connecting to a proxy/bouncer.
    (thanks, |TEcHNO|)
  * Another 100% CPU usage bug has been fixed.
  * A problem where DNS-resolving wasnt working when starting the client,
    should now be fixed.
  * KILL messages are now being parsed correctly (for those of you who get
    killed often..)
  * When a channel was parted with /PART, or the user was disconnected, a
    rejoin to the channel would make the nick-list reuse nicks from the
    previous session
  * A bug where the client would reconnect to the server endlessly has been
    fixed.

LostIRC (0.1.1) - Thu Jun 20th 2002
  * A bug where the client consumed 100% CPU has been fixed.
  * Implement /KILL and /WALLOPS. 
  * Improve appearence of some messages (remove ~/.lostirc/events.conf to
    enable them)
  * When joining a channel with > 1000 users, the client was extremely slow.
  * The actual away message is now being shown instead of just "You are away"
  * When an unknown command is used, the command is now being sent to the
    IRC-server. For example, /PASS now works for bouncers even though the
    command isn't implemented in LostIRC.
  * In preferences, it's now possible to set nick, realname and irc-user.
  * A new command, /AWAYALL has been implemented - using this option you can
    go away on all connected servers instead of just one at the time with
    /AWAY.
  * In preferences, you can now define which words to highlight on.
  * After using /QUIT, the client no longer reconnects to the server
    automatically.

LostIRC (0.1.0) - Fri May 31st 2002
  * The client now supports DCC SEND.
  * When connecting to a new server and doing a hostname lookup, the client
    froze until the lookup was finished, fixed.
  * Typing two slashes as the first characters will now make the message to be
    sent anyway, eg. '//hello world' sends a message with the text '/hello
    world'.
  * LostIRC now provides a manpage.
  * When someone changed the channel limit (eg. +l 50), it wasn't shown in the
    client at all. Fixed.
  * When changing nick, and the nick was taken, a _ would be appended
    automatically no matter what. The error message is now shown instead.
  * When a CTCP is sent to a channel and not the user only, the message will
    implicitly note that.
  * Fix crash when connecting to some Unreal ircd servers
    (eg. irc.linuxfromscratch.org and irc.winbot.co.uk)
  * Fix crash when using /NAMES for a channel you are not currently on.
  * /ADMIN and /WHOWAS commands implemented.

LostIRC (0.0.8) - Sat May 11th 2002
  * gcc-3.1 fixes (thanks, Mads Martin Jørgensen)
  * When disconnected from a server, the last tab belonging to that
    server-connecting could not be removed.
  * Replies are now sent upon CTCP PING from other clients.
  * When a user quits and a query exists with him, the quit-message is now
    mentioned in the query.
  * When on a network connection where identd lookups took over 30 seconds,
    the connection timed out before the connection with the server had been
    established.. fixed.
  * Implement /OPER command and other code-contributions (thanks, Martin
    Scholl)
  * You can now change nick before connecting to the server using /NICK.
  * When auto-reconnecting is going on, you can now stop it by implictly
    calling /DISCONNECT.
  * When a user had voice and op, his voice wasn't shown after deopping him.
  * The client crashed if any invalid commands/text was written in perform,
    fixed.

LostIRC (0.0.7) - Tue Apr 16th 2002
  * In the preferences window, you can now define a different nick
    completion character than the default (,).
  * Configuration files has been moved to the ~/.lostirc/ directory.
  * It is now possible to autojoin a server with a password defined.
  * When disconnected from server; reconnect
  * Fix silly typo, messsage -> message
  * Now checks whether the connection has timed out, and reconnects
    automatically if it has.
  * When kicked from a channel, or parted it with /part, the tab can now be
    reused when joining the channel again.
  * When closing a tab where a channel were parted and the channel name was
    sorrounded by parentes, it will no longer try to send a PART to the
    server on that channel.
  * The down-arrow key now works to get the previous things said, like the
    up-arrow does, just opposite.
  * Add /DISCONNECT to disconnect from the current server.
  * When closing the last tab which belongs to a server-connection, the
    connection disconnects. Before the connection was still open but with no
    visible tabs.
  * When /WHOIS'ing a user and he was away, his away message was shown in a
    query tab instead of the current window.

LostIRC (0.0.6) - Mon Apr 1st 2002
  * You can now tab-complete commands as well as nicks. /j<tab> becomes /JOIN.
  * ALT+P didn't start preferences when in a query tab, fixed.
  * When using ALT+P and the preferences window is open, it will now get
    closed.
  * ALT+F can now be used for setting the font, same result as /SETFONT
  * You can now part a channel with the optional leave-message without
    problems
  * When other people are parting with a message, the message is now being
    shown (delete your old ~/.lostirc.events!)
  * When a user changes a channel mode, it now looks more sane
  * When changing nick too fast, and the server gives an error - you no longer
    end up with an empty nick.
  * When a user got kicked from a channel, and he changed nick on another, his
    actions were still shown in the channel he was kicked from.

LostIRC (0.0.5) - Fri Mar 8th 2002
  * An unwanted newline occuring in a /whois has been removed
  * The nick-list is now properly sorted
  * The TCP code has been improved severely; when receiving a lot of data, the
    program will not feel as laggy as before.
  * Fix lack of visible text which occured on gcc 2.96 systems (RedHat,
    Mandrake, etc.)
  * When having defined channels to autojoin on connect, a empty server tab
    will not be created anymore.
  * When creating a new server tab with 'alt + n', the program switched to the
    first tab, fixed.
  * When clicking in the message window, focus is no longer lost from the
    inputfield
  * You can now use tab to browse through the fields in preferences.
  * The /LIST command now works without parameters

LostIRC (0.0.4) - Sun Mar 3rd 2002
  * A "perform" feature has been implemented, alongside a new preferences
    window, here you can add new servers which should be auto-joined, and you
    can define which commands should be executed on connect. eg. /join #foobar
  * /TOPIC and /KICK was not working properly, the topic and kick message
    could not be set if it contained spaces
  * When getting a CTCP NOTICE from a user, now show the actual nick it was
    received from
  * When whoising a person, the idle time and signon time is now displayed in
    a more human-readable format
  * /LIST is now implemented
  * The /NAMES command now works better for channels you are already on
  * The usual code improvements, now compiles fully on gcc 3[0.4].

LostIRC (0.0.3) - Mon Feb, 18th 2002
  * Implement /kick
  * Implement /names
  * No longer crash when doing /quote names #chan
  * When kicked from a channel, it's properly removed so you don't receive
    messages in that tab
  * No longer crash when connecting to some unreal ircd servers
  * When you join a new channel, or a query gets started and you are away, the
    "You are away" msg will still appear
  * The port when connecting is now displayed correctly
  * Many code cleanups: performance improvements, g++ 3 fixes

LostIRC (0.0.2) - Sun Feb, 3rd 2002
  * Code cleanups
  * It's now possible to connect to a server on another port than 6667, and to
    define a password
  * Bans and unbans is now being shown (wasn't being shown at all before)
  * No longer crashes when connecting through a bouncer (psybnc)
  * Can now handle incoming invites

LostIRC (0.0.1) - Fri Jan, 25th 2002
  * Initial release
